#!/bin/sh
set -eu
CACHE=/var/cache/x1-gen7-sway-ostree
REPO=/srv/ostree/repo

mkdir -p $CACHE

if [ ! -d $REPO/objects ]; then
    ostree --repo=$REPO init --mode=archive-z2
fi

rpm-ostree compose tree --unified-core --cachedir=$CACHE --repo=$REPO x1-gen7-sway-desktop.yaml
